//
//  Request.h
//  PhotoSearch
//
//  Created by Roanne Mendoza on 12/13/12.
//  Copyright (c) 2012 Roanne Mendoza. All rights reserved.
//

#import "Constants.h"
#import "Reachability.h"
#import "InstagramPhoto.h"

static BOOL isReachable() {
    Reachability *reachability = [Reachability reachabilityForInternetConnection];
    return [reachability isReachable];
}

static NSDictionary* getInstagramFeed(NSString* searchKey, NSMutableString *maxId) {
    NSDictionary* parsedData = nil;
    if (isReachable()) {
        NSURL* url = [NSURL URLWithString:[NSString stringWithFormat:kInstagramSearchMediaUrl, searchKey, maxId, kInstagramClientId]];
        NSMutableURLRequest* request = [NSMutableURLRequest requestWithURL:url cachePolicy:NSURLRequestUseProtocolCachePolicy timeoutInterval:kTimeOutInterval];
        [request setHTTPMethod:@"GET"];
        
        NSHTTPURLResponse* response = nil;
        NSError* error = nil;
        
        NSData* data = [NSURLConnection sendSynchronousRequest:request returningResponse:&response error:&error];
        parsedData = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingAllowFragments error:nil];
        NSLog(@"server response :: %@", parsedData);
    }
    
    return parsedData;
}
